From 733cd260f0e2f46a74c674c0b6b1ec95fcf6491c Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 21 2020 19:57:59 +0000
Subject: [PATCH 1475/2232] Remove deletion of Str(std::string &&) constructor


---

diff --git a/include/cxx.h b/include/cxx.h
index 24a5292..4ed3302 100644
--- a/include/cxx.h
+++ b/include/cxx.h
@@ -63,7 +63,6 @@ public:
   Str(const std::string &);
   Str(const char *);
   Str(const char *, size_t);
-  Str(std::string &&) = delete;
 
   Str &operator=(const Str &) noexcept = default;
 

